RDKit::MorganFingerprint::MorganArguments< OutputType > Class Template Reference

Class for holding Morgan fingerprint specific arguments. More...

`#include <MorganGenerator.h>`

Inheritance diagram for RDKit::MorganFingerprint::MorganArguments< OutputType >:

## Public Member Functions

OutputType | getResultSize () const
| Returns the size of the fingerprint based on arguments. More...
std::string | infoString () const
| method that returns information string about the fingerprint specific argument set and the arguments themselves More...
| MorganArguments (const unsigned int radius, const bool countSimulation=false, const bool includeChirality=false, const bool onlyNonzeroInvariants=false, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const std::uint32_t fpSize=2048)
| Construct a new MorganArguments object. More...
Public Member Functions inherited from RDKit::FingerprintArguments< OutputType >
| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values More...
virtual | ~FingerprintArguments ()

## Public Attributes

const bool | df_includeChirality
const bool | df_onlyNonzeroInvariants
const unsigned int | d_radius
Public Attributes inherited from RDKit::FingerprintArguments< OutputType >
const bool | d_countSimulation
const std::vector< std::uint32_t > | d_countBounds
const std::uint32_t | d_fpSize
const std::uint32_t | d_numBitsPerFeature

## Detailed Description

### template<typename OutputType>
class RDKit::MorganFingerprint::MorganArguments< OutputType >

Class for holding Morgan fingerprint specific arguments.

Definition at line 105 of file MorganGenerator.h.

## Constructor & Destructor Documentation

## MorganArguments()

template<typename OutputType >

RDKit::MorganFingerprint::MorganArguments< OutputType >::MorganArguments | ( | const unsigned int | radius,
|  | const bool | countSimulation = `false`,
|  | const bool | includeChirality = `false`,
|  | const bool | onlyNonzeroInvariants = `false`,
|  | const std::vector< std::uint32_t > | countBounds = `{1, 2, 4, 8}`,
|  | const std::uint32_t | fpSize = `2048`
| ) |  |

Construct a new MorganArguments object.

Parameters

  radius | the number of iterations to grow the fingerprint
  countSimulation | if set, use count simulation while generating the fingerprint
  includeChirality | if set, chirality information will be added to the generated bit id, independently from bond invariants
  onlyNonzeroInvariants | if set, bits will only be set from atoms that have a nonzero invariant
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions

## Member Function Documentation

## getResultSize()

template<typename OutputType >

OutputType RDKit::MorganFingerprint::MorganArguments< OutputType >::getResultSize | ( |  | ) | const

virtual

Returns the size of the fingerprint based on arguments.

Returns
  OutputType size of the fingerprint

Implements RDKit::FingerprintArguments< OutputType >.

## infoString()

template<typename OutputType >

std::string RDKit::MorganFingerprint::MorganArguments< OutputType >::infoString | ( |  | ) | const

virtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implements RDKit::FingerprintArguments< OutputType >.

## Member Data Documentation

## d_radius

template<typename OutputType >

const unsigned int RDKit::MorganFingerprint::MorganArguments< OutputType >::d_radius

Definition at line 110 of file MorganGenerator.h.

## df_includeChirality

template<typename OutputType >

const bool RDKit::MorganFingerprint::MorganArguments< OutputType >::df_includeChirality

Definition at line 108 of file MorganGenerator.h.

## df_onlyNonzeroInvariants

template<typename OutputType >

const bool RDKit::MorganFingerprint::MorganArguments< OutputType >::df_onlyNonzeroInvariants

Definition at line 109 of file MorganGenerator.h.

The documentation for this class was generated from the following file:

- MorganGenerator.h